=== debian/changelog ===
pytango (9.2.2-1build1) bionic; urgency=medium

  * No-change rebuild for omniorb soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Feb 2018 11:38:07 +0000

pytango (9.2.2-1) unstable; urgency=medium

  [ Bodo-Merle Sandor ]
  * New upstream version 9.2.2
  * Bump Standards-Version to 4.1.0 (extra -> optional)
  * debian/control
    - wrap-and-sort -st
  * debian/copyright
    - Switched source URL to https
  * debian/rules
    - Built the documentation with python3
    - Install examples
  * debian/patch
    - drop 0001-Use-loose-version-instead-of-strict-version-for-comp.patch

  [ Picca Frédéric-Emmanuel ]
  * debian/control
    - add nodoc profile dependencies
    - Added: python-sphinx, sphinx-common
  * debian/patches
    - Added 0002-deal-with-sphinx-only-via-the-debian-rules.patch
  * debian/rules
    - Reworked in order to support nodoc
    - dh_sphinxdoc is now mandatory.
    - Build the documentation also with python.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 29 Oct 2017 08:22:04 +0100
