## pytango 9.2.4

=== debian/changelog ===
pytango (9.2.4-2ubuntu1) cosmic; urgency=medium

  * d/patches/boost_lib_name.patch: add to fix ftbfs caused by libboost-python
    soname change. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 10 Aug 2018 15:40:54 +1200

pytango (9.2.4-2) unstable; urgency=medium

  [ Bodo-Merle Sandor ]
  * Build depend on python-enum34

 -- Sandor Bodo-Merle <sbodomerle@gmail.com>  Tue, 31 Jul 2018 21:04:55 +0200

pytango (9.2.4-1) unstable; urgency=medium

  [ Bodo-Merle Sandor ]
  * New upstream version 9.2.4
    - Python 3.7 compatibility (Closes: #904298)
  * Update Standards-Version to 4.1.5 (no changes required)
  * Depend on python-mock for generating the docs

 -- Sandor Bodo-Merle <sbodomerle@gmail.com>  Mon, 30 Jul 2018 19:20:08 +0200

pytango (9.2.3-1) unstable; urgency=medium

  [ Bodo-Merle Sandor ]
  * New upstream version 9.2.3
  * debian/patches
    - Refresh patch 0002-Use-jquery-from-the-archive
  * debian/control
    - cme fix dpkg
    - Rules-Requires-Root: no
    - depend on sphinx_rtd_theme
    - remove outdated X-Python{,3}-Version fields
  * debian/watch
    - update regexp; switch to https

 -- Sandor Bodo-Merle <sbodomerle@gmail.com>  Sat, 02 Jun 2018 16:25:59 +0200
