=== debian/control ===
--- 
+++ 
@@ -12,29 +12,34 @@
                pkg-config,
                python-all-dev,
                python-concurrent.futures <!nodoc>,
+               python-enum34,
                python-gevent <!nodoc>,
+               python-mock <!nodoc>,
                python-numpy,
                python-setuptools,
                python-six,
                python-sphinx <!nodoc>,
+               python-sphinx-rtd-theme <!nodoc>,
                python3-all-dev,
                python3-gevent <!nodoc>,
+               python3-mock <!nodoc>,
                python3-numpy,
                python3-setuptools,
                python3-six,
                python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
                sphinx-common
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pytango.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pytango.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/science-team/pytango
+Vcs-Git: https://salsa.debian.org/science-team/pytango.git
 Homepage: http://www.tango-controls.org/static/PyTango/latest/doc/html/
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
+Rules-Requires-Root: no
 
 Package: python-pytango
 Architecture: any
 Section: oldlibs
-Depends: python-tango, ${misc:Depends}
+Depends: python-tango,
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: transitional dummy package for python-tango
  This is a transitional package to ease upgrades to the
@@ -43,7 +48,9 @@
 Package: python-tango
 Architecture: any
 Section: python
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends}
 Provides: ${python:Provides}
 Description: API for the TANGO control system (Python 2)
  TANGO is an object oriented distributed control system using CORBA,
@@ -57,7 +64,8 @@
 Package: python3-pytango
 Architecture: any
 Section: oldlibs
-Depends: python3-tango, ${misc:Depends}
+Depends: python3-tango,
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: transitional dummy package for python3-tango
  This is a transitional package to ease upgrades to the
@@ -66,7 +74,9 @@
 Package: python3-tango
 Architecture: any
 Section: python
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
 Provides: ${python3:Provides}
 Description: API for the TANGO control system (Python 3)
  TANGO is an object oriented distributed control system using CORBA,
@@ -80,9 +90,10 @@
 Package: python-tango-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends}
+Breaks: python-pytango-doc (<< 9.2.0-2~)
 Replaces: python-pytango-doc (<< 9.2.0-2~)
-Breaks: python-pytango-doc (<< 9.2.0-2~)
 Description: API for the TANGO control system
  TANGO is an object oriented distributed control system using CORBA,
  mainly developed by the Controls Section of the ALBA Synchrotron.
