## pytango 9.2.5

=== debian/changelog ===
pytango (9.2.5-1) unstable; urgency=medium

  [ Bodo-Merle Sandor ]
  * New upstream version 9.2.5
  * Depend on python-enum34
  * Update standars version to 4.2.1 (no changes required)
  * Fix linking with boost (Closes: #914140)

 -- Sandor Bodo-Merle <sbodomerle@gmail.com>  Thu, 29 Nov 2018 18:16:07 +0100
