=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                sphinx-common
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/science-team/pytango
 Vcs-Git: https://salsa.debian.org/science-team/pytango.git
 Homepage: http://www.tango-controls.org/static/PyTango/latest/doc/html/
@@ -50,7 +50,8 @@
 Section: python
 Depends: ${misc:Depends},
          ${python:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         python-enum34
 Provides: ${python:Provides}
 Description: API for the TANGO control system (Python 2)
  TANGO is an object oriented distributed control system using CORBA,
