## pytango 9.3.0

=== debian/changelog ===
pytango (9.3.0-4build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:22:26 +0100

pytango (9.3.0-4build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:24:21 +0000

pytango (9.3.0-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Demote documentation dependencies to B-D-I. (Closes: #946135)

 -- Sandor Bodo-Merle <sbodomerle@gmail.com>  Wed, 04 Dec 2019 19:03:53 +0100

pytango (9.3.0-3) unstable; urgency=medium

  [ Bodo-Merle Sandor ]
  * Bump debhelper compatibility level to 12
  * Build-depend on python3-distro

 -- Sandor Bodo-Merle <sbodomerle@gmail.com>  Fri, 22 Nov 2019 18:08:43 +0100

pytango (9.3.0-2) unstable; urgency=medium

  [ Bodo-Merle Sandor ]
  * control: update homepage
  * control: update standars version to 4.4.1 (no changes required)
  * Apply NMU patch by Sandro Tosi <morph@debian.org> to
     - Drop python2 support; Closes: #937556
  * ack NMU

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 19 Oct 2019 20:06:13 +0200

pytango (9.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #937556

 -- Sandro Tosi <morph@debian.org>  Thu, 17 Oct 2019 19:00:57 -0400

pytango (9.3.0-1) unstable; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * Use debhelper-compat instead of debian/compat.
  * use the latest salsa.ci.yml file

  [ Bodo-Merle Sandor ]
  * Upgrade standards version to 4.4.0
  * update watch file
  * New upstream version 9.3.0
  * drop transitional package python-pytango (Closes: #940763)
  * drop transitional package python3-pytango (Closes: #940764)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 28 Sep 2019 20:18:02 +0200
