=== debian/control ===
Source: pytango
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>,
           Sandor Bodo-Merle <sbodomerle@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               libboost-python-dev,
               libtango-dev,
               pkg-config,
               python3-all-dev,
               python3-distro,
               python3-numpy,
               python3-setuptools,
               python3-six,
               sphinx-common
Build-Depends-Indep:
               graphviz,
               python3-gevent,
               python3-mock,
               python3-sphinx,
               python3-sphinx-rtd-theme,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/science-team/pytango
Vcs-Git: https://salsa.debian.org/science-team/pytango.git
Homepage: https://pytango.readthedocs.io/en/latest/
Rules-Requires-Root: no

Package: python3-tango
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Provides: ${python3:Provides}
Description: API for the TANGO control system (Python 3)
 TANGO is an object oriented distributed control system using CORBA,
 mainly developed by the Controls Section of the ALBA Synchrotron.
 PyTango provides bindings for its client- and server-side C++ APIs.
 With PyTango, you can write TANGO device servers and TANGO applications
 (scripts, CLIs, GUIs) that access TANGO device servers in pure Python.
 .
 This is the Python 3 version of the package.

Package: python-tango-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Breaks: python-pytango-doc (<< 9.2.0-2~)
Replaces: python-pytango-doc (<< 9.2.0-2~)
Description: API for the TANGO control system
 TANGO is an object oriented distributed control system using CORBA,
 mainly developed by the Controls Section of the ALBA Synchrotron.
 PyTango provides bindings for its client- and server-side C++ APIs.
 With PyTango, you can write TANGO device servers and TANGO applications
 (scripts, CLIs, GUIs) that access TANGO device servers in pure Python.
 .
 This package contains the documentation for the python-tango library.
