## pytango 9.3.2

=== debian/changelog ===
pytango (9.3.2-1) unstable; urgency=medium

  * control: update standars version to 4.5.1 (no changes required)
  * New upstream version 9.3.2
    - Drop 0001-fix-boost-linking.patch; obsolete
    - Drop 0005-fix-distro-import.patch; obsolete
    - refresh and renumber patches

 -- Sandor Bodo-Merle <sbodomerle@gmail.com>  Mon, 07 Dec 2020 18:26:11 +0100

pytango (9.3.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix day-of-week for changelog entry 7.2.3-1.
  * Update standards version to 4.5.0, no changes needed.

  [ Sandor Bodo-Merle ]
  * New upstream version 9.3.1
  * Update patch for boost linking
  * Bump debhelper compatibility level to 13

 -- Sandor Bodo-Merle <sbodomerle@gmail.com>  Fri, 11 Sep 2020 16:44:58 +0200
