=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: pytango
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>,
            Sandor Bodo-Merle <sbodomerle@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                libboost-python-dev,
                libtango-dev,
@@ -22,7 +21,7 @@
                python3-mock,
                python3-sphinx,
                python3-sphinx-rtd-theme,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/pytango
 Vcs-Git: https://salsa.debian.org/science-team/pytango.git
 Homepage: https://pytango.readthedocs.io/en/latest/
