=== debian/changelog ===
pytango (9.3.3-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 21:44:26 +0000

pytango (9.3.3-1) unstable; urgency=medium

  [ Sandor Bodo-Merle ]
  * debian/control
    - drop python3-distro from build-depend
  * Fix syntax warning during package install. (Closes: #985007)
  * New upstream version 9.3.3 (Closes: #989981)
  * Update upstream metadata (github => gitlab).
  * Update watch file version.

  [ Picca Frédéric-Emmanuel ]
  * d/control: Used dh-sequence-[numpy3,python3,sphinxdoc]
  * r/rules: Simplifyed thanks to dh-sequence-X

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 05 Sep 2021 21:55:22 +0200
