=== debian/control ===
--- 
+++ 
@@ -6,21 +6,23 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-numpy3,
+               dh-sequence-python3,
                libboost-python-dev,
                libtango-dev,
                pkg-config,
                python3-all-dev,
-               python3-distro,
                python3-numpy,
                python3-setuptools,
                python3-six,
                sphinx-common
 Build-Depends-Indep:
-               graphviz,
-               python3-gevent,
-               python3-mock,
-               python3-sphinx,
-               python3-sphinx-rtd-theme,
+               dh-sequence-sphinxdoc <!nodoc>,
+               graphviz <!nodoc>,
+               python3-gevent <!nodoc>,
+               python3-mock <!nodoc>,
+               python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/pytango
 Vcs-Git: https://salsa.debian.org/science-team/pytango.git
